[arch-commits] Commit in gnash-gtk/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Pierre Schmitz pierre at archlinux.org
Thu Oct 30 18:18:38 EDT 2008


    Date: Thursday, October 30, 2008 @ 18:18:38
  Author: pierre
Revision: 17539

Merged revisions 17533 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/gnash-gtk/trunk

........
  r17533 | pierre | 2008-10-30 23:10:52 +0100 (Do, 30 Okt 2008) | 1 line
  
  rethink configure options etc.
........

Modified:
  gnash-gtk/repos/extra-x86_64/	(properties)
  gnash-gtk/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   57 +++++++++++++++++++++++++++++++--------------------------
 1 file changed, 31 insertions(+), 26 deletions(-)


Property changes on: gnash-gtk/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /gnash-gtk/trunk:1-3053
   + /gnash-gtk/trunk:1-17538

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-10-30 22:16:32 UTC (rev 17538)
+++ extra-x86_64/PKGBUILD	2008-10-30 22:18:38 UTC (rev 17539)
@@ -1,35 +1,40 @@
-# Contributor : Rohan Dhruva
+# $Id$
 
 pkgname=gnash-gtk
-pkgver=0.8.3
-pkgrel=2
-pkgdesc="A GNU Flash movie player."
+pkgver=0.8.4
+pkgrel=1
+pkgdesc='A GNU Flash movie player (gtk)'
 arch=('i686' 'x86_64')
-url="http://www.gnu.org/software/gnash/"
+url='http://www.gnu.org/software/gnash/'
 license=("GPL3")
-depends=("gnash-common=$pkgver" 'gtk2' 'agg')
-makedepends=('pkgconfig') # + 'cvs' when a snapshot is used
+depends=("gnash-common=$pkgver" 'gtk2' 'gtkglext')
+makedepends=('pkgconfig')
 source=("http://ftp.gnu.org/gnu/gnash/${pkgver}/gnash-${pkgver}.tar.bz2")
-options=('!libtool' '!emptydirs')
-md5sums=('5033ef2602ea1234a9ccb73000a0dedb')
+options=('!libtool' '!emptydirs' '!docs')
+md5sums=('b47a7ed4b7c66b8c2ebacc2286ef0d4b')
 
 build() {
-  cd $startdir/src/gnash-$pkgver
-  ./configure --prefix=/usr \
-   --sysconfdir=/etc \
-   --disable-kparts \
-   --with-plugindir=/usr/lib/mozilla/plugins \
-   --enable-gui=GTK \
-   --enable-z \
-   --enable-jpeg \
-   --enable-renderer=agg \
-   --enable-media=ffmpeg \
-   --enable-write \
-   --disable-cygnal \
+	cd $srcdir/gnash-$pkgver
 
-  make || return 1
-  make DESTDIR=$startdir/pkg install install-plugin
-  rm -rf $startdir/pkg/usr/{lib/gnash,share}
-  rm -f $startdir/pkg/usr/bin/{gnash,gprocessor,dumpshm,soldumper}
-  rm -rf $startdir/pkg/etc
+	./configure --prefix=/usr \
+		--sysconfdir=/etc \
+		--enable-gui=gtk \
+		--with-plugins-install=system \
+		--with-npapi-plugindir=/usr/lib/mozilla/plugins \
+		--enable-renderer=ogl \
+		--enable-z \
+		--enable-jpeg \
+		--enable-libpng \
+		--enable-gif \
+		--enable-fontconfig \
+		--enable-Xft \
+		--enable-expat \
+		--enable-gstreamer \
+		--enable-media=gst || return 1
+
+	make || return 1
+	make DESTDIR=$pkgdir install install-plugin || return 1
+	rm -rf $pkgdir/usr/{lib/gnash,share}
+	rm -f $pkgdir/usr/bin/{gnash,gprocessor,dumpshm,soldumper,flvdumper}
+	rm -rf $pkgdir/etc
 }




More information about the arch-commits mailing list